.TH "ISING MODEL SIMULATION" 5
.SH NAME
ising \- bidimensional ising model montecarlo simulation
.SH SYNOPSIS
\f ising\fP [--help] [--version] [--height=HEIGHT] [--width=WIDTH]
	[--seed=SEED] [--output=FILE] [--temperature=TEMP] [--for]
	[--to=TO] [--step=STEP] [--field=FIELD] [--min=MIN] [--sta=N] 
	[--epsilon=EPS] [--n-average=NAVG] [--reinit]

.SH DESCRIPTIONS
.SS "          "
.TP
\fB-h, --help\fP 
Prints a help message and exits.
.TP
\fB-v, --version\fP
Prints the version number of the program and exits.
.TP
\fB-g, --height=HEIGHT\fP
sets HEIGHT as the lattice height (in number of spins)
.TP
\fB-w, --width=WIDTH\fP
sets WIDTH as the lattice width (in number of spins)
.TP
\fBs, --seed=SEED\fP
sets SEED as seed for the random number generator. As long as you specify
equal seeds, the program will produce predictable results. If no seed is
specified, the program will take as default the system time (in most systems,
the number of seconds elapsed since 00:00:00 on January 1, 1970, Coordinated
Universal Time).
.TP
\fB-o, --output=FILE\fP
outputs results to file FILE (defaults to stdout). Results are printed as
sets of three numbers, respectively the temperature, the external magnetic 
field and the resulting magnetization of the system.
.TP
\fB-f, --format=STR\fP
sets STR as the output format string. Usual C style escape secuences are 
allowed and %-characters are interpreted as follows:

%T, %t - Prints the system temperature

%H, %h - Prints the magnetic field

%M, %m - Prints the magnetization

%i - Prints MIN value (see below)

%N - Prints N value (see below)

%a - Prints n value (see below)

%e - Prints EPS value (see below)

%s - Prints the actual standard deviation
.TP
\fB-L, --load=LOADFILE\fP
loads LOADFILE (in MATLAB binary format) and uses it as the initial lattice
status
.TP
\fB-S --save=SAVEFILE\fP
saves the lattice in SAVEFILE (in MATLAB binary format) after every iteration
cycle.
.TP
\fB-T, --temperature=TEMP\fP
sets TEMP as the temperature of the lattice.
.TP
\fB-H, --field=FIELD\fP
sets FIELD as the value of the external magnetic field in the lattice. Note
that both T and H should be expressed as readable decimal numbers and are
adimensionalized in terms of the elemental interaction between two spins.
.TP
\fB-N, --iter=N\fP
sets N as the number of iterations made in a iteration cycle. This is roughly
defined as a number bug enought to let the lattice have a sensible change
between two iteration cycles (by default, N is set to 1000000).
.TP
\fB-n, --n-sta=n\fP
.TP
\fB-e, --epsilon=EPS\fP
The simulator consideers the system to be in a steady state if the standard 
deviation of the magnetization over n iteration cycles is less than or equal to
EPS (default values are n=20, EPS=0.05)
.TP
\fB-i, --min=MIN\fP
sets MIN as the minimum number of iteration cycles for given T and h
before the sistem is tested to be steady.
.TP
\fB-r, --reinit\fP
tells the simulator to reinitialize the lattice every time it changes the
value of the temperature or magnetic field. If this option is present,
no hystheresis phenomena can be observed.
.TP
\fB--for\fP
.TP
\fB--to=TO\fP
.TP
\fB--step=STEP\fP
a range of values for temperature or magnetic field can be set up with
a slightly primitive form of a for/to/step construction, as in

	ising -H 0.0 --for -T 3.0 --to 2.0 --step -.1

wich will compute values of the magnetization for a null magnetic field and
temperature ranging from 3.0 to 2.0 in steps of -0.1. If the --reinit flag
is not present, this feature may be used to observe hystheresis phenomena
.TP
.SH AUTHOR
.TP
\fI Alejandro Luque Estepa\fP
Currently student at the Physics Faculty at Sevilla University
(Universidad de Sevilla), Spain. 

Email address: alques@terra.es
.TP
\fIAny comments, suggestions and bug reports will be welcomed.\fP
